Advertisement
Guest User

reardebug

a guest
Sep 21st, 2017
168
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 27.24 KB | None | 0 0
  1. ++ set +o xtrace
  2. 2017-09-21 11:02:14.151830507 Including prep/default/320_include_uefi_env.sh
  3. 2017-09-21 11:02:14.158893753 Entering debugscripts mode via 'set -x'.
  4. + source /usr/share/rear/prep/default/320_include_uefi_env.sh
  5. ++ grep -qw noefi /proc/cmdline
  6. ++ is_false
  7. ++ case "$1" in
  8. ++ return 1
  9. ++ modprobe -q efivars
  10. ++ SYSFS_DIR_EFI_VARS=
  11. ++ [[ -d /sys/firmware/efi/vars ]]
  12. ++ [[ -d /sys/firmware/efi/efivars ]]
  13. ++ return
  14. + test 1
  15. + Debug 'Leaving debugscripts mode (back to previous bash flags and options settings).'
  16. + test 1
  17. + Log 'Leaving debugscripts mode (back to previous bash flags and options settings).'
  18. ++ date '+%Y-%m-%d %H:%M:%S.%N '
  19. + local 'timestamp=2017-09-21 11:02:14.197669725 '
  20. + test 1 -gt 0
  21. + echo '2017-09-21 11:02:14.197669725 Leaving debugscripts mode (back to previous bash flags and options settings).'
  22. 2017-09-21 11:02:14.197669725 Leaving debugscripts mode (back to previous bash flags and options settings).
  23. + apply_bash_flags_and_options_commands 'set +o xtrace;set +o vi;set +o verbose;set +o privileged;set +o posix;set +o pipefail;set +o physical;set +o onecmd;set +o nounset;set +o notify;set +o nolog;set +o noglob;set +o noexec;set +o noclobber;set +o monitor;set +o keyword;set -o interactive-comments;set +o ignoreeof;set +o history;set +o histexpand;set -o hashall;set +o functrace;set +o errtrace;set +o errexit;set +o emacs;set -o braceexpand;set +o allexport;shopt -u autocd;shopt -u cdable_vars;shopt -u cdspell;shopt -u checkhash;shopt -u checkjobs;shopt -u checkwinsize;shopt -s cmdhist;shopt -u compat31;shopt -u compat32;shopt -u compat40;shopt -u compat41;shopt -u direxpand;shopt -u dirspell;shopt -u dotglob;shopt -u execfail;shopt -u expand_aliases;shopt -u extdebug;shopt -s extglob;shopt -s extquote;shopt -u failglob;shopt -s force_fignore;shopt -u globstar;shopt -u gnu_errfmt;shopt -u histappend;shopt -u histreedit;shopt -u histverify;shopt -s hostcomplete;shopt -u huponexit;shopt -s interactive_comments;shopt -u lastpipe;shopt -u lithist;shopt -u login_shell;shopt -u mailwarn;shopt -u no_empty_cmd_completion;shopt -u nocaseglob;shopt -u nocasematch;shopt -s nullglob;shopt -s progcomp;shopt -s promptvars;shopt -u restricted_shell;shopt -u shift_verbose;shopt -s sourcepath;shopt -u xpg_echo;'
  24. + eval 'set +o xtrace;set +o vi;set +o verbose;set +o privileged;set +o posix;set +o pipefail;set +o physical;set +o onecmd;set +o nounset;set +o notify;set +o nolog;set +o noglob;set +o noexec;set +o noclobber;set +o monitor;set +o keyword;set -o interactive-comments;set +o ignoreeof;set +o history;set +o histexpand;set -o hashall;set +o functrace;set +o errtrace;set +o errexit;set +o emacs;set -o braceexpand;set +o allexport;shopt -u autocd;shopt -u cdable_vars;shopt -u cdspell;shopt -u checkhash;shopt -u checkjobs;shopt -u checkwinsize;shopt -s cmdhist;shopt -u compat31;shopt -u compat32;shopt -u compat40;shopt -u compat41;shopt -u direxpand;shopt -u dirspell;shopt -u dotglob;shopt -u execfail;shopt -u expand_aliases;shopt -u extdebug;shopt -s extglob;shopt -s extquote;shopt -u failglob;shopt -s force_fignore;shopt -u globstar;shopt -u gnu_errfmt;shopt -u histappend;shopt -u histreedit;shopt -u histverify;shopt -s hostcomplete;shopt -u huponexit;shopt -s interactive_comments;shopt -u lastpipe;shopt -u lithist;shopt -u login_shell;shopt -u mailwarn;shopt -u no_empty_cmd_completion;shopt -u nocaseglob;shopt -u nocasematch;shopt -s nullglob;shopt -s progcomp;shopt -s promptvars;shopt -u restricted_shell;shopt -u shift_verbose;shopt -s sourcepath;shopt -u xpg_echo;'
  25. ++ set +o xtrace
  26. 2017-09-21 11:02:14.202644727 Including prep/ISO/GNU/Linux/320_verify_mkisofs.sh
  27. 2017-09-21 11:02:14.204588773 Entering debugscripts mode via 'set -x'.
  28. + source /usr/share/rear/prep/ISO/GNU/Linux/320_verify_mkisofs.sh
  29. ++ '[' -x /bin/mkisofs ']'
  30. ++ StopIfError 'Could not find '\''mkisofs'\'' compatible program. Please install '\''mkisofs'\'', '\''genisoimage'\'' or '\''ebiso'\'' into your path or manually set ISO_MKISOFS_BIN [/bin/mkisofs]'
  31. ++ (( 0 != 0 ))
  32. ++ Log 'Using '\''/bin/mkisofs'\'' to create ISO images'
  33. +++ date '+%Y-%m-%d %H:%M:%S.%N '
  34. ++ local 'timestamp=2017-09-21 11:02:14.211196915 '
  35. ++ test 1 -gt 0
  36. ++ echo '2017-09-21 11:02:14.211196915 Using '\''/bin/mkisofs'\'' to create ISO images'
  37. 2017-09-21 11:02:14.211196915 Using '/bin/mkisofs' to create ISO images
  38. + test 1
  39. + Debug 'Leaving debugscripts mode (back to previous bash flags and options settings).'
  40. + test 1
  41. + Log 'Leaving debugscripts mode (back to previous bash flags and options settings).'
  42. ++ date '+%Y-%m-%d %H:%M:%S.%N '
  43. + local 'timestamp=2017-09-21 11:02:14.212957166 '
  44. + test 1 -gt 0
  45. + echo '2017-09-21 11:02:14.212957166 Leaving debugscripts mode (back to previous bash flags and options settings).'
  46. 2017-09-21 11:02:14.212957166 Leaving debugscripts mode (back to previous bash flags and options settings).
  47. + apply_bash_flags_and_options_commands 'set +o xtrace;set +o vi;set +o verbose;set +o privileged;set +o posix;set +o pipefail;set +o physical;set +o onecmd;set +o nounset;set +o notify;set +o nolog;set +o noglob;set +o noexec;set +o noclobber;set +o monitor;set +o keyword;set -o interactive-comments;set +o ignoreeof;set +o history;set +o histexpand;set -o hashall;set +o functrace;set +o errtrace;set +o errexit;set +o emacs;set -o braceexpand;set +o allexport;shopt -u autocd;shopt -u cdable_vars;shopt -u cdspell;shopt -u checkhash;shopt -u checkjobs;shopt -u checkwinsize;shopt -s cmdhist;shopt -u compat31;shopt -u compat32;shopt -u compat40;shopt -u compat41;shopt -u direxpand;shopt -u dirspell;shopt -u dotglob;shopt -u execfail;shopt -u expand_aliases;shopt -u extdebug;shopt -s extglob;shopt -s extquote;shopt -u failglob;shopt -s force_fignore;shopt -u globstar;shopt -u gnu_errfmt;shopt -u histappend;shopt -u histreedit;shopt -u histverify;shopt -s hostcomplete;shopt -u huponexit;shopt -s interactive_comments;shopt -u lastpipe;shopt -u lithist;shopt -u login_shell;shopt -u mailwarn;shopt -u no_empty_cmd_completion;shopt -u nocaseglob;shopt -u nocasematch;shopt -s nullglob;shopt -s progcomp;shopt -s promptvars;shopt -u restricted_shell;shopt -u shift_verbose;shopt -s sourcepath;shopt -u xpg_echo;'
  48. + eval 'set +o xtrace;set +o vi;set +o verbose;set +o privileged;set +o posix;set +o pipefail;set +o physical;set +o onecmd;set +o nounset;set +o notify;set +o nolog;set +o noglob;set +o noexec;set +o noclobber;set +o monitor;set +o keyword;set -o interactive-comments;set +o ignoreeof;set +o history;set +o histexpand;set -o hashall;set +o functrace;set +o errtrace;set +o errexit;set +o emacs;set -o braceexpand;set +o allexport;shopt -u autocd;shopt -u cdable_vars;shopt -u cdspell;shopt -u checkhash;shopt -u checkjobs;shopt -u checkwinsize;shopt -s cmdhist;shopt -u compat31;shopt -u compat32;shopt -u compat40;shopt -u compat41;shopt -u direxpand;shopt -u dirspell;shopt -u dotglob;shopt -u execfail;shopt -u expand_aliases;shopt -u extdebug;shopt -s extglob;shopt -s extquote;shopt -u failglob;shopt -s force_fignore;shopt -u globstar;shopt -u gnu_errfmt;shopt -u histappend;shopt -u histreedit;shopt -u histverify;shopt -s hostcomplete;shopt -u huponexit;shopt -s interactive_comments;shopt -u lastpipe;shopt -u lithist;shopt -u login_shell;shopt -u mailwarn;shopt -u no_empty_cmd_completion;shopt -u nocaseglob;shopt -u nocasematch;shopt -s nullglob;shopt -s progcomp;shopt -s promptvars;shopt -u restricted_shell;shopt -u shift_verbose;shopt -s sourcepath;shopt -u xpg_echo;'
  49. ++ set +o xtrace
  50. 2017-09-21 11:02:14.216169966 Including prep/ISO/Linux-i386/330_find_isolinux.sh
  51. 2017-09-21 11:02:14.218194540 Entering debugscripts mode via 'set -x'.
  52. + source /usr/share/rear/prep/ISO/Linux-i386/330_find_isolinux.sh
  53. ++ [[ ! -s '' ]]
  54. +++ find_syslinux_file isolinux.bin
  55. +++ local syslinux_file=
  56. +++ for file in '/usr/{share,lib,libexec,lib/syslinux}/*/"$1"'
  57. +++ [[ -s /usr/share/syslinux/isolinux.bin ]]
  58. +++ syslinux_file=/usr/share/syslinux/isolinux.bin
  59. +++ break
  60. +++ echo /usr/share/syslinux/isolinux.bin
  61. ++ ISO_ISOLINUX_BIN=/usr/share/syslinux/isolinux.bin
  62. ++ [[ -s /usr/share/syslinux/isolinux.bin ]]
  63. ++ StopIfError 'Could not find '\''isolinux.bin'\''. Maybe you have to set ISO_ISOLINUX_BIN [/usr/share/syslinux/isolinux.bin] or install the syslinux package ?'
  64. ++ (( 0 != 0 ))
  65. +++ dirname /usr/share/syslinux/isolinux.bin
  66. ++ SYSLINUX_DIR=/usr/share/syslinux
  67. + test 1
  68. + Debug 'Leaving debugscripts mode (back to previous bash flags and options settings).'
  69. + test 1
  70. + Log 'Leaving debugscripts mode (back to previous bash flags and options settings).'
  71. ++ date '+%Y-%m-%d %H:%M:%S.%N '
  72. + local 'timestamp=2017-09-21 11:02:14.244403996 '
  73. + test 1 -gt 0
  74. + echo '2017-09-21 11:02:14.244403996 Leaving debugscripts mode (back to previous bash flags and options settings).'
  75. 2017-09-21 11:02:14.244403996 Leaving debugscripts mode (back to previous bash flags and options settings).
  76. + apply_bash_flags_and_options_commands 'set +o xtrace;set +o vi;set +o verbose;set +o privileged;set +o posix;set +o pipefail;set +o physical;set +o onecmd;set +o nounset;set +o notify;set +o nolog;set +o noglob;set +o noexec;set +o noclobber;set +o monitor;set +o keyword;set -o interactive-comments;set +o ignoreeof;set +o history;set +o histexpand;set -o hashall;set +o functrace;set +o errtrace;set +o errexit;set +o emacs;set -o braceexpand;set +o allexport;shopt -u autocd;shopt -u cdable_vars;shopt -u cdspell;shopt -u checkhash;shopt -u checkjobs;shopt -u checkwinsize;shopt -s cmdhist;shopt -u compat31;shopt -u compat32;shopt -u compat40;shopt -u compat41;shopt -u direxpand;shopt -u dirspell;shopt -u dotglob;shopt -u execfail;shopt -u expand_aliases;shopt -u extdebug;shopt -s extglob;shopt -s extquote;shopt -u failglob;shopt -s force_fignore;shopt -u globstar;shopt -u gnu_errfmt;shopt -u histappend;shopt -u histreedit;shopt -u histverify;shopt -s hostcomplete;shopt -u huponexit;shopt -s interactive_comments;shopt -u lastpipe;shopt -u lithist;shopt -u login_shell;shopt -u mailwarn;shopt -u no_empty_cmd_completion;shopt -u nocaseglob;shopt -u nocasematch;shopt -s nullglob;shopt -s progcomp;shopt -s promptvars;shopt -u restricted_shell;shopt -u shift_verbose;shopt -s sourcepath;shopt -u xpg_echo;'
  77. + eval 'set +o xtrace;set +o vi;set +o verbose;set +o privileged;set +o posix;set +o pipefail;set +o physical;set +o onecmd;set +o nounset;set +o notify;set +o nolog;set +o noglob;set +o noexec;set +o noclobber;set +o monitor;set +o keyword;set -o interactive-comments;set +o ignoreeof;set +o history;set +o histexpand;set -o hashall;set +o functrace;set +o errtrace;set +o errexit;set +o emacs;set -o braceexpand;set +o allexport;shopt -u autocd;shopt -u cdable_vars;shopt -u cdspell;shopt -u checkhash;shopt -u checkjobs;shopt -u checkwinsize;shopt -s cmdhist;shopt -u compat31;shopt -u compat32;shopt -u compat40;shopt -u compat41;shopt -u direxpand;shopt -u dirspell;shopt -u dotglob;shopt -u execfail;shopt -u expand_aliases;shopt -u extdebug;shopt -s extglob;shopt -s extquote;shopt -u failglob;shopt -s force_fignore;shopt -u globstar;shopt -u gnu_errfmt;shopt -u histappend;shopt -u histreedit;shopt -u histverify;shopt -s hostcomplete;shopt -u huponexit;shopt -s interactive_comments;shopt -u lastpipe;shopt -u lithist;shopt -u login_shell;shopt -u mailwarn;shopt -u no_empty_cmd_completion;shopt -u nocaseglob;shopt -u nocasematch;shopt -s nullglob;shopt -s progcomp;shopt -s promptvars;shopt -u restricted_shell;shopt -u shift_verbose;shopt -s sourcepath;shopt -u xpg_echo;'
  78. ++ set +o xtrace
  79. 2017-09-21 11:02:14.248059075 Including prep/default/330_include_uefi_tools.sh
  80. 2017-09-21 11:02:14.250327580 Entering debugscripts mode via 'set -x'.
  81. + source /usr/share/rear/prep/default/330_include_uefi_tools.sh
  82. ++ is_true
  83. ++ case "$1" in
  84. ++ return 1
  85. ++ return
  86. + test 1
  87. + Debug 'Leaving debugscripts mode (back to previous bash flags and options settings).'
  88. + test 1
  89. + Log 'Leaving debugscripts mode (back to previous bash flags and options settings).'
  90. ++ date '+%Y-%m-%d %H:%M:%S.%N '
  91. + local 'timestamp=2017-09-21 11:02:14.269767336 '
  92. + test 1 -gt 0
  93. + echo '2017-09-21 11:02:14.269767336 Leaving debugscripts mode (back to previous bash flags and options settings).'
  94. 2017-09-21 11:02:14.269767336 Leaving debugscripts mode (back to previous bash flags and options settings).
  95. + apply_bash_flags_and_options_commands 'set +o xtrace;set +o vi;set +o verbose;set +o privileged;set +o posix;set +o pipefail;set +o physical;set +o onecmd;set +o nounset;set +o notify;set +o nolog;set +o noglob;set +o noexec;set +o noclobber;set +o monitor;set +o keyword;set -o interactive-comments;set +o ignoreeof;set +o history;set +o histexpand;set -o hashall;set +o functrace;set +o errtrace;set +o errexit;set +o emacs;set -o braceexpand;set +o allexport;shopt -u autocd;shopt -u cdable_vars;shopt -u cdspell;shopt -u checkhash;shopt -u checkjobs;shopt -u checkwinsize;shopt -s cmdhist;shopt -u compat31;shopt -u compat32;shopt -u compat40;shopt -u compat41;shopt -u direxpand;shopt -u dirspell;shopt -u dotglob;shopt -u execfail;shopt -u expand_aliases;shopt -u extdebug;shopt -s extglob;shopt -s extquote;shopt -u failglob;shopt -s force_fignore;shopt -u globstar;shopt -u gnu_errfmt;shopt -u histappend;shopt -u histreedit;shopt -u histverify;shopt -s hostcomplete;shopt -u huponexit;shopt -s interactive_comments;shopt -u lastpipe;shopt -u lithist;shopt -u login_shell;shopt -u mailwarn;shopt -u no_empty_cmd_completion;shopt -u nocaseglob;shopt -u nocasematch;shopt -s nullglob;shopt -s progcomp;shopt -s promptvars;shopt -u restricted_shell;shopt -u shift_verbose;shopt -s sourcepath;shopt -u xpg_echo;'
  96. + eval 'set +o xtrace;set +o vi;set +o verbose;set +o privileged;set +o posix;set +o pipefail;set +o physical;set +o onecmd;set +o nounset;set +o notify;set +o nolog;set +o noglob;set +o noexec;set +o noclobber;set +o monitor;set +o keyword;set -o interactive-comments;set +o ignoreeof;set +o history;set +o histexpand;set -o hashall;set +o functrace;set +o errtrace;set +o errexit;set +o emacs;set -o braceexpand;set +o allexport;shopt -u autocd;shopt -u cdable_vars;shopt -u cdspell;shopt -u checkhash;shopt -u checkjobs;shopt -u checkwinsize;shopt -s cmdhist;shopt -u compat31;shopt -u compat32;shopt -u compat40;shopt -u compat41;shopt -u direxpand;shopt -u dirspell;shopt -u dotglob;shopt -u execfail;shopt -u expand_aliases;shopt -u extdebug;shopt -s extglob;shopt -s extquote;shopt -u failglob;shopt -s force_fignore;shopt -u globstar;shopt -u gnu_errfmt;shopt -u histappend;shopt -u histreedit;shopt -u histverify;shopt -s hostcomplete;shopt -u huponexit;shopt -s interactive_comments;shopt -u lastpipe;shopt -u lithist;shopt -u login_shell;shopt -u mailwarn;shopt -u no_empty_cmd_completion;shopt -u nocaseglob;shopt -u nocasematch;shopt -s nullglob;shopt -s progcomp;shopt -s promptvars;shopt -u restricted_shell;shopt -u shift_verbose;shopt -s sourcepath;shopt -u xpg_echo;'
  97. ++ set +o xtrace
  98. 2017-09-21 11:02:14.273597513 Including prep/ISO/GNU/Linux/340_add_isofs_module.sh
  99. 2017-09-21 11:02:14.276429199 Entering debugscripts mode via 'set -x'.
  100. + source /usr/share/rear/prep/ISO/GNU/Linux/340_add_isofs_module.sh
  101. +++ url_scheme file:///var/backup/fullbackup/actualbackup
  102. +++ local url=file:///var/backup/fullbackup/actualbackup
  103. +++ local scheme=file
  104. +++ echo file
  105. +++ grep -q :
  106. +++ echo file
  107. ++ local scheme=file
  108. ++ case "$scheme" in
  109. + test 1
  110. + Debug 'Leaving debugscripts mode (back to previous bash flags and options settings).'
  111. + test 1
  112. + Log 'Leaving debugscripts mode (back to previous bash flags and options settings).'
  113. ++ date '+%Y-%m-%d %H:%M:%S.%N '
  114. + local 'timestamp=2017-09-21 11:02:14.292491545 '
  115. + test 1 -gt 0
  116. + echo '2017-09-21 11:02:14.292491545 Leaving debugscripts mode (back to previous bash flags and options settings).'
  117. 2017-09-21 11:02:14.292491545 Leaving debugscripts mode (back to previous bash flags and options settings).
  118. + apply_bash_flags_and_options_commands 'set +o xtrace;set +o vi;set +o verbose;set +o privileged;set +o posix;set +o pipefail;set +o physical;set +o onecmd;set +o nounset;set +o notify;set +o nolog;set +o noglob;set +o noexec;set +o noclobber;set +o monitor;set +o keyword;set -o interactive-comments;set +o ignoreeof;set +o history;set +o histexpand;set -o hashall;set +o functrace;set +o errtrace;set +o errexit;set +o emacs;set -o braceexpand;set +o allexport;shopt -u autocd;shopt -u cdable_vars;shopt -u cdspell;shopt -u checkhash;shopt -u checkjobs;shopt -u checkwinsize;shopt -s cmdhist;shopt -u compat31;shopt -u compat32;shopt -u compat40;shopt -u compat41;shopt -u direxpand;shopt -u dirspell;shopt -u dotglob;shopt -u execfail;shopt -u expand_aliases;shopt -u extdebug;shopt -s extglob;shopt -s extquote;shopt -u failglob;shopt -s force_fignore;shopt -u globstar;shopt -u gnu_errfmt;shopt -u histappend;shopt -u histreedit;shopt -u histverify;shopt -s hostcomplete;shopt -u huponexit;shopt -s interactive_comments;shopt -u lastpipe;shopt -u lithist;shopt -u login_shell;shopt -u mailwarn;shopt -u no_empty_cmd_completion;shopt -u nocaseglob;shopt -u nocasematch;shopt -s nullglob;shopt -s progcomp;shopt -s promptvars;shopt -u restricted_shell;shopt -u shift_verbose;shopt -s sourcepath;shopt -u xpg_echo;'
  119. + eval 'set +o xtrace;set +o vi;set +o verbose;set +o privileged;set +o posix;set +o pipefail;set +o physical;set +o onecmd;set +o nounset;set +o notify;set +o nolog;set +o noglob;set +o noexec;set +o noclobber;set +o monitor;set +o keyword;set -o interactive-comments;set +o ignoreeof;set +o history;set +o histexpand;set -o hashall;set +o functrace;set +o errtrace;set +o errexit;set +o emacs;set -o braceexpand;set +o allexport;shopt -u autocd;shopt -u cdable_vars;shopt -u cdspell;shopt -u checkhash;shopt -u checkjobs;shopt -u checkwinsize;shopt -s cmdhist;shopt -u compat31;shopt -u compat32;shopt -u compat40;shopt -u compat41;shopt -u direxpand;shopt -u dirspell;shopt -u dotglob;shopt -u execfail;shopt -u expand_aliases;shopt -u extdebug;shopt -s extglob;shopt -s extquote;shopt -u failglob;shopt -s force_fignore;shopt -u globstar;shopt -u gnu_errfmt;shopt -u histappend;shopt -u histreedit;shopt -u histverify;shopt -s hostcomplete;shopt -u huponexit;shopt -s interactive_comments;shopt -u lastpipe;shopt -u lithist;shopt -u login_shell;shopt -u mailwarn;shopt -u no_empty_cmd_completion;shopt -u nocaseglob;shopt -u nocasematch;shopt -s nullglob;shopt -s progcomp;shopt -s promptvars;shopt -u restricted_shell;shopt -u shift_verbose;shopt -s sourcepath;shopt -u xpg_echo;'
  120. ++ set +o xtrace
  121. 2017-09-21 11:02:14.295254266 Including prep/NETFS/default/400_automatic_exclude_recreate.sh
  122. 2017-09-21 11:02:14.296739436 Entering debugscripts mode via 'set -x'.
  123. + source /usr/share/rear/prep/NETFS/default/400_automatic_exclude_recreate.sh
  124. +++ url_scheme file:///var/backup/fullbackup/actualbackup
  125. +++ local url=file:///var/backup/fullbackup/actualbackup
  126. +++ local scheme=file
  127. +++ echo file
  128. +++ grep -q :
  129. +++ echo file
  130. ++ local scheme=file
  131. +++ url_path file:///var/backup/fullbackup/actualbackup
  132. +++ local url=file:///var/backup/fullbackup/actualbackup
  133. +++ local url_without_scheme=/var/backup/fullbackup/actualbackup
  134. +++ echo /var/backup/fullbackup/actualbackup
  135. ++ local backup_directory=/var/backup/fullbackup/actualbackup
  136. ++ local backup_directory_mountpoint=
  137. ++ case $scheme in
  138. ++ test -e /var/backup/fullbackup/actualbackup
  139. ++ test -d /var/backup/fullbackup/actualbackup
  140. +++ df -P /var/backup/fullbackup/actualbackup
  141. +++ tail -1
  142. +++ awk '{print $6}'
  143. ++ backup_directory_mountpoint=/
  144. ++ test / = /
  145. ++ Error 'URL '\''file:///var/backup/fullbackup/actualbackup'\'' has the backup directory '\''/var/backup/fullbackup/actualbackup'\'' in the '\''/'\'' filesystem which is forbidden.'
  146. ++ LogPrintError 'ERROR: URL '\''file:///var/backup/fullbackup/actualbackup'\'' has the backup directory '\''/var/backup/fullbackup/actualbackup'\'' in the '\''/'\'' filesystem which is forbidden.'
  147. ++ Log 'ERROR: URL '\''file:///var/backup/fullbackup/actualbackup'\'' has the backup directory '\''/var/backup/fullbackup/actualbackup'\'' in the '\''/'\'' filesystem which is forbidden.'
  148. +++ date '+%Y-%m-%d %H:%M:%S.%N '
  149. ++ local 'timestamp=2017-09-21 11:02:14.315527395 '
  150. ++ test 1 -gt 0
  151. ++ echo '2017-09-21 11:02:14.315527395 ERROR: URL '\''file:///var/backup/fullbackup/actualbackup'\'' has the backup directory '\''/var/backup/fullbackup/actualbackup'\'' in the '\''/'\'' filesystem which is forbidden.'
  152. 2017-09-21 11:02:14.315527395 ERROR: URL 'file:///var/backup/fullbackup/actualbackup' has the backup directory '/var/backup/fullbackup/actualbackup' in the '/' filesystem which is forbidden.
  153. ++ PrintError 'ERROR: URL '\''file:///var/backup/fullbackup/actualbackup'\'' has the backup directory '\''/var/backup/fullbackup/actualbackup'\'' in the '\''/'\'' filesystem which is forbidden.'
  154. ++ echo -e 'ERROR: URL '\''file:///var/backup/fullbackup/actualbackup'\'' has the backup directory '\''/var/backup/fullbackup/actualbackup'\'' in the '\''/'\'' filesystem which is forbidden.'
  155. ++ LogToSyslog 'ERROR: URL '\''file:///var/backup/fullbackup/actualbackup'\'' has the backup directory '\''/var/backup/fullbackup/actualbackup'\'' in the '\''/'\'' filesystem which is forbidden.'
  156. ++ logger -t rear -i 'ERROR: URL '\''file:///var/backup/fullbackup/actualbackup'\'' has the backup directory '\''/var/backup/fullbackup/actualbackup'\'' in the '\''/'\'' filesystem which is forbidden.'
  157. ++ has_binary caller
  158. ++ for bin in '$@'
  159. ++ type caller
  160. ++ return 0
  161. ++ echo '==== Stack trace ===='
  162. ==== Stack trace ====
  163. ++ local c=0
  164. ++ caller 0
  165. ++ :
  166. ++ caller 1
  167. ++ :
  168. ++ caller 2
  169. ++ :
  170. ++ caller 3
  171. ++ :
  172. ++ caller 4
  173. ++ :
  174. ++ caller 5
  175. ++ awk ' { l[NR]=$3":"$1" "$2 }
  176. END { for (i=NR; i>0;) print "Trace "NR-i": "l[i--] }
  177. '
  178. Trace 0: /usr/sbin/rear:546 main
  179. Trace 1: /usr/share/rear/lib/mkbackup-workflow.sh:9 WORKFLOW_mkbackup
  180. Trace 2: /usr/share/rear/lib/framework-functions.sh:95 SourceStage
  181. Trace 3: /usr/share/rear/lib/framework-functions.sh:49 Source
  182. Trace 4: /usr/share/rear/prep/NETFS/default/400_automatic_exclude_recreate.sh:32 source
  183. ++ echo 'Message: URL '\''file:///var/backup/fullbackup/actualbackup'\'' has the backup directory '\''/var/backup/fullbackup/actualbackup'\'' in the '\''/'\'' filesystem which is forbidden.'
  184. Message: URL 'file:///var/backup/fullbackup/actualbackup' has the backup directory '/var/backup/fullbackup/actualbackup' in the '/' filesystem which is forbidden.
  185. ++ echo '== End stack trace =='
  186. == End stack trace ==
  187. ++ kill -USR1 6908
  188. +++ EXIT_FAIL_MESSAGE=0
  189. +++ echo 'Aborting due to an error, check /var/log/rear/rear-vmi112195.log for details'
  190. +++ kill 6908
  191. +++ DoExitTasks
  192. +++ Log 'Running exit tasks.'
  193. ++++ date '+%Y-%m-%d %H:%M:%S.%N '
  194. +++ local 'timestamp=2017-09-21 11:02:14.324109778 '
  195. +++ test 1 -gt 0
  196. +++ echo '2017-09-21 11:02:14.324109778 Running exit tasks.'
  197. 2017-09-21 11:02:14.324109778 Running exit tasks.
  198. +++ JOBS=($( jobs -p ))
  199. ++++ jobs -p
  200. +++ test -n ''
  201. +++ for task in '"${EXIT_TASKS[@]}"'
  202. +++ Debug 'Exit task '\''rmdir -v /tmp/rear.X8MyQ6QiON0swYe/outputfs >&2'\'''
  203. +++ test 1
  204. +++ Log 'Exit task '\''rmdir -v /tmp/rear.X8MyQ6QiON0swYe/outputfs >&2'\'''
  205. ++++ date '+%Y-%m-%d %H:%M:%S.%N '
  206. +++ local 'timestamp=2017-09-21 11:02:14.328911572 '
  207. +++ test 1 -gt 0
  208. +++ echo '2017-09-21 11:02:14.328911572 Exit task '\''rmdir -v /tmp/rear.X8MyQ6QiON0swYe/outputfs >&2'\'''
  209. 2017-09-21 11:02:14.328911572 Exit task 'rmdir -v /tmp/rear.X8MyQ6QiON0swYe/outputfs >&2'
  210. +++ eval 'rmdir -v /tmp/rear.X8MyQ6QiON0swYe/outputfs >&2'
  211. ++++ rmdir -v /tmp/rear.X8MyQ6QiON0swYe/outputfs
  212. rmdir: removing directory, '/tmp/rear.X8MyQ6QiON0swYe/outputfs'
  213. +++ for task in '"${EXIT_TASKS[@]}"'
  214. +++ Debug 'Exit task '\''cleanup_build_area_and_end_program'\'''
  215. +++ test 1
  216. +++ Log 'Exit task '\''cleanup_build_area_and_end_program'\'''
  217. ++++ date '+%Y-%m-%d %H:%M:%S.%N '
  218. +++ local 'timestamp=2017-09-21 11:02:14.337031654 '
  219. +++ test 1 -gt 0
  220. +++ echo '2017-09-21 11:02:14.337031654 Exit task '\''cleanup_build_area_and_end_program'\'''
  221. 2017-09-21 11:02:14.337031654 Exit task 'cleanup_build_area_and_end_program'
  222. +++ eval cleanup_build_area_and_end_program
  223. ++++ cleanup_build_area_and_end_program
  224. ++++ Log 'Finished in 1 seconds'
  225. +++++ date '+%Y-%m-%d %H:%M:%S.%N '
  226. ++++ local 'timestamp=2017-09-21 11:02:14.339001737 '
  227. ++++ test 1 -gt 0
  228. ++++ echo '2017-09-21 11:02:14.339001737 Finished in 1 seconds'
  229. 2017-09-21 11:02:14.339001737 Finished in 1 seconds
  230. ++++ test 1
  231. ++++ LogPrint 'You should also rm -Rf /tmp/rear.X8MyQ6QiON0swYe'
  232. ++++ Log 'You should also rm -Rf /tmp/rear.X8MyQ6QiON0swYe'
  233. +++++ date '+%Y-%m-%d %H:%M:%S.%N '
  234. ++++ local 'timestamp=2017-09-21 11:02:14.341002760 '
  235. ++++ test 1 -gt 0
  236. ++++ echo '2017-09-21 11:02:14.341002760 You should also rm -Rf /tmp/rear.X8MyQ6QiON0swYe'
  237. 2017-09-21 11:02:14.341002760 You should also rm -Rf /tmp/rear.X8MyQ6QiON0swYe
  238. ++++ Print 'You should also rm -Rf /tmp/rear.X8MyQ6QiON0swYe'
  239. ++++ test 1
  240. ++++ echo -e 'You should also rm -Rf /tmp/rear.X8MyQ6QiON0swYe'
  241. ++++ Log 'End of program reached'
  242. +++++ date '+%Y-%m-%d %H:%M:%S.%N '
  243. ++++ local 'timestamp=2017-09-21 11:02:14.343722057 '
  244. ++++ test 1 -gt 0
  245. ++++ echo '2017-09-21 11:02:14.343722057 End of program reached'
  246. 2017-09-21 11:02:14.343722057 End of program reached
  247. +++ for task in '"${EXIT_TASKS[@]}"'
  248. +++ Debug 'Exit task '\''(( EXIT_FAIL_MESSAGE )) && echo '\''rear mkbackup failed, check /var/log/rear/rear-vmi112195.log for details'\'' 1>&8'\'''
  249. +++ test 1
  250. +++ Log 'Exit task '\''(( EXIT_FAIL_MESSAGE )) && echo '\''rear mkbackup failed, check /var/log/rear/rear-vmi112195.log for details'\'' 1>&8'\'''
  251. ++++ date '+%Y-%m-%d %H:%M:%S.%N '
  252. +++ local 'timestamp=2017-09-21 11:02:14.352947958 '
  253. +++ test 1 -gt 0
  254. +++ echo '2017-09-21 11:02:14.352947958 Exit task '\''(( EXIT_FAIL_MESSAGE )) && echo '\''rear mkbackup failed, check /var/log/rear/rear-vmi112195.log for details'\'' 1>&8'\'''
  255. 2017-09-21 11:02:14.352947958 Exit task '(( EXIT_FAIL_MESSAGE )) && echo 'rear mkbackup failed, check /var/log/rear/rear-vmi112195.log for details' 1>&8'
  256. +++ eval '(( EXIT_FAIL_MESSAGE )) && echo '\''rear mkbackup failed, check /var/log/rear/rear-vmi112195.log for details'\'' 1>&8'
  257. ++++ (( EXIT_FAIL_MESSAGE ))
  258. +++ for task in '"${EXIT_TASKS[@]}"'
  259. +++ Debug 'Exit task '\''exec 8>&-'\'''
  260. +++ test 1
  261. +++ Log 'Exit task '\''exec 8>&-'\'''
  262. ++++ date '+%Y-%m-%d %H:%M:%S.%N '
  263. +++ local 'timestamp=2017-09-21 11:02:14.355373239 '
  264. +++ test 1 -gt 0
  265. +++ echo '2017-09-21 11:02:14.355373239 Exit task '\''exec 8>&-'\'''
  266. 2017-09-21 11:02:14.355373239 Exit task 'exec 8>&-'
  267. +++ eval 'exec 8>&-'
  268. ++++ exec
  269. +++ for task in '"${EXIT_TASKS[@]}"'
  270. +++ Debug 'Exit task '\''exec 7>&-'\'''
  271. +++ test 1
  272. +++ Log 'Exit task '\''exec 7>&-'\'''
  273. ++++ date '+%Y-%m-%d %H:%M:%S.%N '
  274. +++ local 'timestamp=2017-09-21 11:02:14.358070620 '
  275. +++ test 1 -gt 0
  276. +++ echo '2017-09-21 11:02:14.358070620 Exit task '\''exec 7>&-'\'''
  277. 2017-09-21 11:02:14.358070620 Exit task 'exec 7>&-'
  278. +++ eval 'exec 7>&-'
  279. ++++ exec
  280. +++ for task in '"${EXIT_TASKS[@]}"'
  281. +++ Debug 'Exit task '\''exec 6<&-'\'''
  282. +++ test 1
  283. +++ Log 'Exit task '\''exec 6<&-'\'''
  284. ++++ date '+%Y-%m-%d %H:%M:%S.%N '
  285. +++ local 'timestamp=2017-09-21 11:02:14.359941999 '
  286. +++ test 1 -gt 0
  287. +++ echo '2017-09-21 11:02:14.359941999 Exit task '\''exec 6<&-'\'''
  288. 2017-09-21 11:02:14.359941999 Exit task 'exec 6<&-'
  289. +++ eval 'exec 6<&-'
  290. ++++ exec
  291. +++ for task in '"${EXIT_TASKS[@]}"'
  292. +++ Debug 'Exit task '\'''\'''
  293. +++ test 1
  294. +++ Log 'Exit task '\'''\'''
  295. ++++ date '+%Y-%m-%d %H:%M:%S.%N '
  296. +++ local 'timestamp=2017-09-21 11:02:14.362591585 '
  297. +++ test 1 -gt 0
  298. +++ echo '2017-09-21 11:02:14.362591585 Exit task '\'''\'''
  299. 2017-09-21 11:02:14.362591585 Exit task ''
  300. +++ eval ''
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement